Skip to main content
GET
/
api
/
public
/
v1
/
live
/
coins
/
{coin}
/
long-short
Get API public v1 live coins by coin long short
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/live/coins/{coin}/long-short \
  --header 'X-API-Key: <api-key>'
{
  "avgLongSize": 123,
  "avgShortSize": 123,
  "coin": "<string>",
  "concentrationTop5": 123,
  "longAccounts": 123,
  "longUnrealizedPnl": 123,
  "longVolume": 123,
  "netBias": 123,
  "ratio": 123,
  "sampleSize": 123,
  "shortAccounts": 123,
  "shortUnrealizedPnl": 123,
  "shortVolume": 123,
  "timestamp": 123,
  "topLongs": [
    {
      "address": "<string>",
      "notional": 123,
      "pnl": 123,
      "size": 123
    }
  ],
  "topShorts": [
    {
      "address": "<string>",
      "notional": 123,
      "pnl": 123,
      "size": 123
    }
  ],
  "totalUnrealizedPnl": 123,
  "volumeRatio": 123,
  "$schema": "<string>",
  "avgLongLeverage": 123,
  "avgShortLeverage": 123,
  "maxLeverage": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

coin
string
required

Response

OK

avgLongSize
number<double>
required
avgShortSize
number<double>
required
coin
string
required
concentrationTop5
number<double>
required
longAccounts
integer<int64>
required
longUnrealizedPnl
number<double>
required
longVolume
number<double>
required
netBias
number<double>
required
ratio
number<double>
required
sampleSize
integer<int64>
required
shortAccounts
integer<int64>
required
shortUnrealizedPnl
number<double>
required
shortVolume
number<double>
required
timestamp
integer<int64>
required
topLongs
object[] | null
required
topShorts
object[] | null
required
totalUnrealizedPnl
number<double>
required
volumeRatio
number<double>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/CoinLongShortBody.json"

avgLongLeverage
number<double>
avgShortLeverage
number<double>
maxLeverage
number<double>